
/* This template is based off of the KOffice example written by Torben Weis <weis@kde.org
   It was converted to a KDevelop template by Ian Reinhart Geiser <geiseri@yahoo.com>
*/

#ifndef %{APPNAME}_PART_H
#define %{APPNAME}_PART_H

#include <koDocument.h>

class %{APPNAME}Part : public KoDocument
{
    Q_OBJECT
  
public:
    %{APPNAME}Part( TQWidget *parentWidget = 0, const char *widgetName = 0, TQObject* parent = 0, const char* name = 0, bool singleViewMode = false );

    virtual void paintContent( TQPainter& painter, const TQRect& rect, bool transparent = FALSE, double zoomX = 1.0, double zoomY = 1.0 );

    virtual bool initDoc( InitDocFlags flags, TQWidget* parentWidget = 0 );

    virtual bool loadOasis( const TQDomDocument & doc, KoOasisStyles& oasisStyles, const TQDomDocument & settings, KoStore* store );
    virtual bool loadXML( TQIODevice *, const TQDomDocument & );
    virtual TQDomDocument saveXML();
    virtual bool saveOasis( KoStore* store, KoXmlWriter* manifestWriter );

protected:
    virtual KoView* createViewInstance( TQWidget* parent, const char* name );
};

#endif
